Subject: bug#57440: [patch] Guile manual has incorrect history on the name

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Sat, 27 Aug 2022 01:43:15 +0200

Lee Thomas <[email-masked]> writes:

> Hi. https://www.gnu.org/software/guile/manual/html_node/Early-Days.html isn't correct where in the fourth paragraph it says "Jim Blandy suggested a
> new name for GEL". It was actually me, as documented in the second paragraph here: https://en.wikipedia.org/wiki/GNU_Guile#History  Due to the Tcl
> Wars some of the name suggestions were becoming offensive, especially to Dr. Ousterhout, so I thought I would suggest something more positive. To
> my astonishment, Tom Lord liked it and used it, over the objections of others.
>
> I'm dying of cancer so soon it won't matter

I’m sorry to hear that. Thank you for taking up this even now! And thank
you for taking part in Guile.

I wish you lots of strength.

> , and I was never a part of Guile's inner circle anyway, so this isn't a truly important issue for me. If it would
> ruffle political feathers to take credit from Jim then I'm fine with leaving it as is, but I do feel responsibility to simply report it here - especially before
> someone else does and asks why the manual and Wikipedia don't match.

I created a patch that does the change and references it. From the
history it looks like this part has been written in one go back then and
did not change, so it possibly was just a mis-remembering.

The patch:

From 8bfc607ffbc433b7dde50787cf813bd455726daa Mon Sep 17 00:00:00 2001
From: Arne Babenhauserheide <[email-masked]>
Date: Sat, 27 Aug 2022 01:57:57 +0200
Subject: [PATCH] doc: Lee Thomas suggested the name change.

See (1994-11-04) https://groups.google.com/g/gnu.misc.discuss/c/0VtEf1fgEJk/m/IMBs2o-ftrgJ
> If GEL and GUL and GLUE don't work for the name of the scripting
> language, how about:
>
> GUILE - GNU's Universal Interpreted Language Extension
>
> (This also implies Scheme-ing, and means that the GNU's Universal
> Interpreted Language Developers would be part of a ...)
> --
> Lee Thomas

and (1994-11-22) https://groups.google.com/g/gnu.misc.discuss/c/9pD9yVoRYFw/m/0z7SLYbx8loJ
> Why "GUILE"? (GNU's Universal Interpreted Language Extension)
> Two additional reasons:
>
> 1. It does not give deliberate offense to Dr. Ousterhout or his
> supporters, thereby allowing the warring factions to eventually
> make peace (along with some others, perhaps - Gloria's 'Usband Is
> Linguistically Educated) and get back to work.
> 2. By pronunciation it offers appreciation to one of the co-inventors
> of Scheme. (Maybe a library package could be named "Scheme User
> Supported System Macros And Native-code"? OK, that's a stretch ...)
> --
> Lee Thomas,

and https://groups.google.com/g/comp.lang.scheme/c/X5GrLVAvGLU/m/Xk11xCrbzCcJ
> A while back, I started calling the language being built by the GNU Project
> GEL. It turns out that GEL is a trademark of Sybase Inc. Therefore,
> we must choose a new name. Please do not refer to the GNU language
> as GEL.
>
> My favorite proposed name, posted recently to comp.lang.scheme, is GUILE.
> I like the name, because i think programmers should be encouraged to use
> GUILE when writing programs. The name may change yet again; but for now,
> please refer to the GNU language as GUILE.
>
> -t
---
 doc/ref/history.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/ref/history.texi b/doc/ref/history.texi
index d351455a5..60d839ac3 100644
--- a/doc/ref/history.texi
+++ b/doc/ref/history.texi
@@ -69,7 +69,7 @@ the argument was that eventually when GEL became more capable, it
 could gain the ability to execute other languages, especially Emacs
 Lisp.
 
-Due to a naming conflict with another programming language, Jim Blandy
+Due to a naming conflict with another programming language, Lee Thomas
 suggested a new name for GEL: ``Guile''. Besides being a recursive
 acronym, ``Guile'' craftily follows the naming of its ancestors,
 ``Planner'', ``Conniver'', and ``Schemer''. (The latter was truncated
-- 
2.37.2

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de